List Topics
curl --request GET \
--url https://api-prod.voltai.ai/source/api/topics/ \
--cookie sessionid=import requests
url = "https://api-prod.voltai.ai/source/api/topics/"
headers = {"cookie": "sessionid="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'sessionid='}};
fetch('https://api-prod.voltai.ai/source/api/topics/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"page": 123,
"page_size": 123,
"total": 123,
"results": [
{
"name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_topic": "<string>",
"is_published": true
}
]
}
]Topics
List Topics
List and query topics with filtering and pagination. Use parent_topic=null to get root topics.
GET
/
topics
/
List Topics
Authorizations
cookieAuthApiKeyAuth
Query Parameters
Filter by published status
Organization name (required for multi-tenant API keys)
Page number
Items per page
Filter by parent topic UUID (use 'null' for root topics)
Search by name
Filter by exact root-to-leaf path using '/' separator (example: 'Root/Child/Leaf')